# ParticleOrientation

## Overview

ParticleOrientation is an Enum that defines the orientation mode of particles in 3D systems.

This is used in the Orientation property of ParticleEmitter and determines how particles are oriented on screen.

## Items

| Name                  | Value | Description                                                                       |
| --------------------- | ----- | --------------------------------------------------------------------------------- |
| FacingCamera          | 0     | Aligns particles to always face the camera (the direction the player is looking). |
| FacingCameraWorldUp   | 1     | Particles face the camera, but keep their top aligned with the world's Y-axis.    |
| VelocityParallel      | 2     | Aligns particles parallel to their velocity vector.                               |
| VelocityPerpendicular | 3     | Aligns particles perpendicular to their velocity vector.                          |

## See also

{% content-ref url="/pages/PzdUA1Oi8vUN198oIS2W" %}
[ParticleEmitter](/development/api-reference/classes/particleemitter.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.overdare.com/development/api-reference/enums/particleorientation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
